<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task17.10</title>
    <style>

    </style>
</head>
<body>
    <img id="img-big" src="images/people-playing-casino.jpg" width="600px">
    <h1 id="h1-welcome">Chào mừng đến với Lucky Dice Casino</h1>
    <br>
    <img id="img-dice" style="width: 120px" src="images/dice.png">
    <br>
    <button id="btn-nem" onclick="onDiceClick()" style="width: 100px; height: 50px;">Ném</button>
    <br>
    <h2 id="h2-message" style="visibility: hidden; color: blue;">...</h2>
</body>
<script>
    var gDice = 0;

    function onPageLoading() {}
    //Khi ấn nút Ném, ghi vào console dòng chữ: “Tung xúc xắc”
    function onDiceClick() {
        console.log("Tung xúc xắc");
        gDice = getRandomNumberFrom1To6();
        console.log("Số mặt xúc xắc ném được là " + gDice);
        changeImageDice(gDice);
        changeMessage(gDice);
    }

    //viết 1 function getRandomNumber() để lấy được 1 số nguyên ngẫu nhiên từ 1 đến 6
    function getRandomNumberFrom1To6() {
        "use strict";
        var vSoRandom = Math.floor(Math.random() * 6) + 1;
        return vSoRandom;
    }

    //  hàm changeImageDice; thay ảnh Dice
    function changeImageDice() {
        var vImgDice = document.getElementById("img-dice");
        vImgDice.setAttribute ("src","images/" + gDice + ".png");
    }

    //  hàm changeMessage, thay mesage
    function changeMessage()  {
        var vMessageDice = document.getElementById("h2-message");
        if (gDice > 3) {
            vMessageDice.innerHTML = "Chúc mừng bạn! Hãy chơi ván nữa!";
            vMessageDice.style.visibility = "visible";
        }
        else {
            vMessageDice.innerHTML = "Cảm ơn bạn! Hãy cố gắng lần sau!";
            vMessageDice.style.visibility = "visible";
        }
    }   

</script>
</html>